Get form schema
Returns the field schema for a specific form. Retrieve this before posting submissions to understand which fields are available, their types, and which are required. Custom fields are prefixed with __.
Path Parameters
- Type: stringform
_id requiredUnique identifier of the form.
Responses
- application/json
- application/json
- application/json
Request Example for get/apis/forms/forms/{form_id}/schema
curl https://ff-business-school.fullfabric.cloud/apis/forms/forms/507f1f77bcf86cd799439011/schema \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"id": "6385be68976a7719120134ab",
"sections": [
{
"label": "Personal Details",
"fields": [
{
"name": "first_name",
"label": "First name",
"description": "",
"type": "SingleLineText",
"required": "always"
},
{
"name": "last_name",
"label": "Last name",
"description": "",
"type": "SingleLineText",
"required": "always"
},
{
"name": "email",
"label": "Email address",
"description": "",
"type": "Email",
"required": "always"
},
{
"name": "__nationality",
"label": "Nationality",
"description": "",
"type": "Country",
"required": "never"
},
{
"name": "__programme_interest",
"label": "Programme of interest",
"description": "",
"type": "DropDown",
"required": "never",
"options": [
"MBA Full-Time",
"Executive MBA",
"MSc Finance",
"MSc Marketing"
]
}
]
}
]
}